package cz.muni.fi.pa165.project.dto;

import cz.muni.fi.pa165.project.enums.PowerStatusDto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.annotation.Nullable;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class DeviceDetailDTO {
    private long id;
    private String nickname;
    private String model;
    private PowerStatusDto powerStatus;

    @Nullable
    private DeviceDetailHouseDTO house;
}
