package cz.muni.fi.pa165.project.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import java.time.LocalDateTime;

/**
 * @author Daniela Hostačná | 485432
 */
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Data
@Entity
@Table(name = "house_devices")
public class HouseDevice extends BaseEntity<Long> {
    @ManyToOne
    @JoinColumn(nullable = false)
    private House house;

    @ManyToOne
    @JoinColumn(nullable = false)
    private Device device;

    @Column(nullable = false)
    private LocalDateTime validFrom;

    private LocalDateTime validTo;
}
