package cz.muni.fi.pa165.project.repository;

import cz.muni.fi.pa165.project.entity.House;
import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.util.List;

/**
 * @author Timotej Šulík | 493364
 */
@Repository
public class HouseRepositoryCustomImpl implements HouseRepositoryCustom {
    @PersistenceContext
    private EntityManager em;

    @Override
    public List<House> findByName(String name) {
        return em.createQuery("select h from House h where name = :name", House.class)
                .setParameter("name", name)
                .getResultList();
    }
}
