package cz.muni.fi.pa165.project.config;

import cz.muni.fi.pa165.project.dto.DeviceUpdateDTO;
import cz.muni.fi.pa165.project.entity.Device;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

/**
 * @author Tomáš Ondruško | 485418
 */
@Mapper(componentModel = "spring")
public interface DeviceUpdateMapper {
    @Mapping(source = "nickname", target = "nickName")
    Device map(DeviceUpdateDTO source);

    @Mapping(source = "nickName", target = "nickname")
    DeviceUpdateDTO map(Device source);
}
