package cz.muni.fi.pa165.project.config;

import cz.muni.fi.pa165.project.dto.HouseCreateDTO;
import cz.muni.fi.pa165.project.entity.House;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

/**
 * @author Daniela Hostačná | 485432
 */
@Mapper(componentModel = "spring")
public interface HouseCreateMapper {
    @Mapping(source = "zipCode", target = "zip")
    House map(HouseCreateDTO source);

    @Mapping(source = "zip", target = "zipCode")
    HouseCreateDTO map(House source);
}
