package cz.muni.fi.pa165.project.config;

import cz.muni.fi.pa165.project.dto.HouseDetailDeviceDTO;
import cz.muni.fi.pa165.project.entity.Device;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.springframework.data.domain.Page;

/**
 * @author Daniela Hostačná | 485432
 */
@Mapper(componentModel = "spring")
public interface HouseDetailDeviceMapper {
    @Mapping(source = "nickName", target = "nickname")
    HouseDetailDeviceDTO map(Device source);

    default Page<HouseDetailDeviceDTO> map(Page<Device> source) {
        return source.map(this::map);
    }
}
