package cz.muni.fi.pa165.project.service;

import cz.muni.fi.pa165.project.entity.AppUser;
import cz.muni.fi.pa165.project.entity.House;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/**
 * @author Daniela Hostačná | 485432
 */
public interface HouseService {
    House findById(long id);

    long create(House house);

    void deleteAllForUser(AppUser user);

    Page<House> findHousesForUser(AppUser user, Pageable page);

    void delete(House house);

    void delete(long houseId);

    void update(House house);
}
