package cz.muni.fi.pa165.project.facade;

import cz.muni.fi.pa165.project.dto.UserChangePasswordDTO;
import cz.muni.fi.pa165.project.dto.UserProfileDTO;
import cz.muni.fi.pa165.project.dto.UserUpdateDTO;

import java.util.List;

public interface UserFacade {
    UserProfileDTO getUser(long userId);

    void updateUser(String loggedInUsername, UserUpdateDTO user);

    void changePassword(String loggedInUsername, UserChangePasswordDTO password);

    void deleteUser(String loggedInUsername);

    UserProfileDTO getUserByUserName(String username);
}
