package cz.muni.fi.pa165.project.repository;

import cz.muni.fi.pa165.project.entity.AppUser;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

/**
 * @author Aneta Čadová | 485025
 */
public interface AppUserRepository extends JpaRepository<AppUser, Long> {
    @Query("SELECT u FROM AppUser u WHERE u.email = :username")
    AppUser findByEmail(@Param("username") String username);
}
