package cz.muni.fi.pa165.project.repository;

import cz.muni.fi.pa165.project.entity.AppUser;
import cz.muni.fi.pa165.project.entity.House;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

/**
 * @author Timotej Šulík | 493364
 */
public interface HouseRepository extends JpaRepository<House, Long>, HouseRepositoryCustom {
    @Query("SELECT h FROM House h WHERE h.owner = :user")
    Page<House> findAllByUser(AppUser user, Pageable page);
}
