import { Link } from "react-router-dom";

const BackButton = (path: string) => {
    return (
        <>
            <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"></link>
            <div className="back_button">
                <Link to={path}>
                    <button className="stylized_button button_color"><i className="fa fa-arrow-left"></i> Back</button>
                </Link>
            </div>
        </>
    );
}

export default BackButton;
