import React from 'react';
import { Link } from 'react-router-dom';

class Root extends React.Component {
    handleLogOut() {
        // "Forget" access token and authority
        sessionStorage.clear();
    }

    render() {
        return (
            <div>
                <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"></link>
                <Link to="/profile">
                    <button className="stylized_button button_color back_button"><i className="fa fa-user"></i> Profile</button>
                </Link>
                <Link to="/houses">
                    <button className="stylized_button button_color root_center_button">My houses</button>
                </Link><br />
                <Link to="/devices">
                    <button className="stylized_button button_color root_center_button">My devices</button>
                </Link>
                <div className="logout_button">
                    <Link to="/login">
                        <button onClick={this.handleLogOut} className="stylized_button button_color"><i className="fa fa-sign-out"></i> Log Out</button>
                    </Link>
                </div>
            </div>
        );
    }
}

export default Root;
