import 'bootstrap/dist/css/bootstrap.min.css';
import React from 'react';
import ReactDOM from 'react-dom';
import { AuthProvider } from './context/AuthProvider';
import Footer from './Footer';
import Header from './Header';
import './index.css';
import Main from './Main';

ReactDOM.render(
  <React.StrictMode>
    <AuthProvider>
      <Header />
      <Main />
      <Footer />
    </AuthProvider>
  </React.StrictMode>,
  document.getElementById('root')
);

// // If you want to start measuring performance in your app, pass a function
// // to log results (for example: reportWebVitals(console.log))
// // or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
// reportWebVitals();
