package cz.muni.fi.pa165.project;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

import java.time.Clock;

/**
 * @author Timotej Šulík | 493364
 */
@ComponentScan(basePackageClasses = {
        cz.muni.fi.pa165.project.config.PackageMarker.class,
        cz.muni.fi.pa165.project.service.PackageMarker.class,
        cz.muni.fi.pa165.project.facade.PackageMarker.class
})
@Import(PersistenceConfiguration.class)
@Configuration
public class ServiceConfiguration {
    @Bean
    public Clock clock() {
        return Clock.systemDefaultZone();
    }
}
