package cz.muni.fi.pa165.project.config;

import cz.muni.fi.pa165.project.dto.DeviceCreateDTO;
import cz.muni.fi.pa165.project.entity.Device;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

/**
 * @author Daniela Hostačná | 485432
 */
@Mapper(componentModel = "spring")
public interface DeviceCreateMapper {
    @Mapping(source = "nickname", target = "nickName")
    Device map(DeviceCreateDTO source);

    @Mapping(source = "nickName", target = "nickname")
    DeviceCreateDTO map(Device source);
}
