package cz.muni.fi.pa165.project.config;

import cz.muni.fi.pa165.project.dto.HouseDetailConsumptionEventDTO;
import cz.muni.fi.pa165.project.dto.HouseDetailConsumptionEventListDeviceDTO;
import cz.muni.fi.pa165.project.entity.ConsumptionEvent;
import cz.muni.fi.pa165.project.entity.Device;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.springframework.data.domain.Page;

/**
 * @author Daniela Hostačná | 485432
 */
@Mapper(componentModel = "spring")
public interface HouseDetailConsumptionEventMapper {
    HouseDetailConsumptionEventDTO map(ConsumptionEvent source);

    @Mapping(source = "nickName", target = "nickname")
    HouseDetailConsumptionEventListDeviceDTO map(Device source);

    default Page<HouseDetailConsumptionEventDTO> map(Page<ConsumptionEvent> source) {
        return source.map(this::map);
    }
}
