package cz.muni.fi.pa165.project.config;

import cz.muni.fi.pa165.project.dto.HouseUpdateDetailDTO;
import cz.muni.fi.pa165.project.entity.House;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

/**
 * @author Daniela Hostačná | 485432
 */
@Mapper(componentModel = "spring")
public interface HouseUpdateDetailMapper {
    @Mapping(source = "zipCode", target = "zip")
    House map(HouseUpdateDetailDTO source);

    @Mapping(source = "zip", target = "zipCode")
    HouseUpdateDetailDTO map(House destination);
}
