package cz.muni.fi.pa165.project.service;

import cz.muni.fi.pa165.project.entity.ConsumptionEvent;
import cz.muni.fi.pa165.project.entity.Device;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @author Daniela Hostačná | 485432
 */
public interface ConsumptionEventService {
    Page<ConsumptionEvent> findAll(Pageable page);

    Page<ConsumptionEvent> findConsumptionEventsForDevices(List<Long> deviceIds, Pageable page);

    void deleteAllByDeviceIds(List<Long> deviceIds);

    Page<ConsumptionEvent> findConsumptionEventsForDevice(Device device, Pageable page);
}
